Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Attributes | List of all members
eZ\Publish\API\Repository\Values\Content\VersionInfo Class Reference
Inheritance diagram for eZ\Publish\API\Repository\Values\Content\VersionInfo:

## Public Member Functions
| getContentInfo ()
| Content of the content this version belongs to. More...
| isDraft ()
| Returns true if version is a draft. More...
| isPublished ()
| Returns true if version is published. More...
| isArchived ()
| Returns true if version is archived. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Public Member Functions inherited from eZ\Publish\SPI\Repository\Values\MultiLanguageName
| getNames ()
| Return the human readable name in all provided languages. More...
| getName ($languageCode=null)
| Return the name of the domain object in a given language. More...

## Public Attributes
const | STATUS_DRAFT = 0
const | STATUS_PUBLISHED = 1
const | STATUS_ARCHIVED = 3

## Protected Attributes
| $id
| $versionNo
| $modificationDate
| $creatorId
| $creationDate
| $status
| $initialLanguageCode
| $languageCodes = []

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

Definition at line 26 of file API/Repository/Values/Content/VersionInfo.php.

## Member Function Documentation

## ◆ getContentInfo()

eZ\Publish\API\Repository\Values\Content\VersionInfo::getContentInfo | ( |  | ) |
| abstract

Content of the content this version belongs to.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Reimplemented in eZ\Publish\Core\REST\Client\Values\Content\VersionInfo, and eZ\Publish\Core\Repository\Values\Content\VersionInfo.

Referenced by eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator\getCacheKey(), eZ\Bundle\EzPublishCoreBundle\Imagine\Cache\AliasGeneratorDecorator\getTagsForVariation(), eZ\Publish\Core\REST\Client\ContentService\loadContentByVersionInfo(), eZ\Publish\Core\SignalSlot\ContentService\publishVersion(), and eZ\Publish\Core\SignalSlot\ContentService\updateContent().

## ◆ isArchived()

eZ\Publish\API\Repository\Values\Content\VersionInfo::isArchived | ( |  | ) |

Returns true if version is archived.

Returns
  bool

Definition at line 123 of file API/Repository/Values/Content/VersionInfo.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_ARCHIVED.

## ◆ isDraft()

eZ\Publish\API\Repository\Values\Content\VersionInfo::isDraft | ( |  | ) |

Returns true if version is a draft.

Returns
  bool

Definition at line 103 of file API/Repository/Values/Content/VersionInfo.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_DRAFT.

Referenced by eZ\Publish\Core\Repository\LocationService\loadParentLocationsForDraftContent().

## ◆ isPublished()

eZ\Publish\API\Repository\Values\Content\VersionInfo::isPublished | ( |  | ) |

Returns true if version is published.

Returns
  bool

Definition at line 113 of file API/Repository/Values/Content/VersionInfo.php.

References eZ\Publish\API\Repository\Values\Content\VersionInfo\STATUS_PUBLISHED.

## Member Data Documentation

## ◆ $creationDate

eZ\Publish\API\Repository\Values\Content\VersionInfo::$creationDate
| protected

Definition at line 73 of file API/Repository/Values/Content/VersionInfo.php.

## ◆ $creatorId

eZ\Publish\API\Repository\Values\Content\VersionInfo::$creatorId
| protected

Definition at line 70 of file API/Repository/Values/Content/VersionInfo.php.

## ◆ $id

eZ\Publish\API\Repository\Values\Content\VersionInfo::$id
| protected

Definition at line 37 of file API/Repository/Values/Content/VersionInfo.php.

## ◆ $initialLanguageCode

eZ\Publish\API\Repository\Values\Content\VersionInfo::$initialLanguageCode
| protected

Definition at line 87 of file API/Repository/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\Repository\Values\Content\VersionInfo\getName(), and eZ\Publish\Core\REST\Client\Values\Content\VersionInfo\getName().

## ◆ $languageCodes

eZ\Publish\API\Repository\Values\Content\VersionInfo::$languageCodes = []
| protected

Definition at line 96 of file API/Repository/Values/Content/VersionInfo.php.

## ◆ $modificationDate

eZ\Publish\API\Repository\Values\Content\VersionInfo::$modificationDate
| protected

Definition at line 61 of file API/Repository/Values/Content/VersionInfo.php.

## ◆ $status

eZ\Publish\API\Repository\Values\Content\VersionInfo::$status
| protected

Definition at line 80 of file API/Repository/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\REST\Server\Output\ValueObjectVisitor\VersionInfo\getStatusString().

## ◆ $versionNo

eZ\Publish\API\Repository\Values\Content\VersionInfo::$versionNo
| protected

Definition at line 47 of file API/Repository/Values/Content/VersionInfo.php.

## ◆ STATUS_ARCHIVED

read int $status the status of this version One of VersionInfo::STATUS_DRAFT VersionInfo::STATUS_PUBLISHED eZ\Publish\API\Repository\Values\Content\VersionInfo::STATUS_ARCHIVED = 3

Definition at line 30 of file API/Repository/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo\convertVersionStatus(), eZ\Publish\Core\Repository\ContentService\createContentDraft(), eZ\Publish\API\Repository\Values\Content\VersionInfo\isArchived(), eZ\Publish\Core\Repository\ContentService\loadVersions(), and eZ\Publish\Core\Limitation\StatusLimitationType\validate().

## ◆ STATUS_DRAFT

const eZ\Publish\API\Repository\Values\Content\VersionInfo::STATUS_DRAFT = 0

Definition at line 28 of file API/Repository/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\Limitation\LanguageLimitation\NewDraftEvaluator\accept(), eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo\convertVersionStatus(), eZ\Publish\API\Repository\Values\Content\VersionInfo\isDraft(), eZ\Publish\Core\Repository\ContentService\loadVersions(), eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\theContentHasTheStatus(), and eZ\Publish\Core\Limitation\StatusLimitationType\validate().

## ◆ STATUS_PUBLISHED

const eZ\Publish\API\Repository\Values\Content\VersionInfo::STATUS_PUBLISHED = 1

Definition at line 29 of file API/Repository/Values/Content/VersionInfo.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo\convertVersionStatus(), eZ\Publish\Core\Repository\ContentService\createContentDraft(), eZ\Publish\API\Repository\Values\Content\VersionInfo\isPublished(), eZ\Publish\Core\MVC\Symfony\View\Builder\ContentViewBuilder\loadEmbeddedContent(), eZ\Publish\Core\Repository\ContentService\loadVersions(), eZ\Bundle\EzPublishRestBundle\Features\Context\UserContentContext\theContentHasTheStatus(), and eZ\Publish\Core\Limitation\StatusLimitationType\validate().

The documentation for this class was generated from the following file:

- API/Repository/Values/Content/VersionInfo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.